## ros-noetic-rc-genicam-api 2.5.12

=== debian/changelog ===
ros-noetic-rc-genicam-api (2.5.12-1buster) buster; urgency=high

  * Imporved Windows build script for compiling with libpng
  * Fixed some issues when compiling under Windows

 -- Felix Ruess <felix.ruess@roboception.de>  Fri, 22 Oct 2021 22:00:00 -0000

ros-noetic-rc-genicam-api (2.5.11-1buster) buster; urgency=high

  * Fixed getting buffers with chunk data from Basler ace2 USB cameras

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 04 Oct 2021 22:00:00 -0000

ros-noetic-rc-genicam-api (2.5.10-1buster) buster; urgency=high

  * Make system, interface, device and stream ignore closing already closed objects

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 30 Sep 2021 22:00:00 -0000

ros-noetic-rc-genicam-api (2.5.9-1buster) buster; urgency=high

  * Improved measuring of buffers per second in gc_stream
  * Do not show latency in gc_stream -t if PTP is turned off

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 30 Sep 2021 22:00:00 -0000

ros-noetic-rc-genicam-api (2.5.8-1buster) buster; urgency=high

  * Added support for YUV422_8 and YCbCr422_8 pixel formats

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 08 Sep 2021 22:00:00 -0000

ros-noetic-rc-genicam-api (2.5.7-1buster) buster; urgency=high

  * Added possibility to specify the internal number of buffers to allocate
  * gc_file tool: Exit with error if file cannot be loaded

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 31 Aug 2021 22:00:00 -0000

ros-noetic-rc-genicam-api (2.5.6-1buster) buster; urgency=high

  * Changed ImageList::find with tolerance > 0 to return the closest within tolerance

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 01 Aug 2021 22:00:00 -0000

ros-noetic-rc-genicam-api (2.5.5-1buster) buster; urgency=high

  * Fixed rounding when converting between color and monochrome images
  * Reduce minimum number of buffers
  * Do not attach chunk data handler to incomplete buffer

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 27 Jul 2021 22:00:00 -0000

ros-noetic-rc-genicam-api (2.5.4-1buster) buster; urgency=high

  * Fixed reporting of operation status of gc_file tool

 -- Felix Ruess <felix.ruess@roboception.de>  Sat, 24 Jul 2021 22:00:00 -0000

ros-noetic-rc-genicam-api (2.5.3-1buster) buster; urgency=high

  * Added build script for Visual Studio
  * Added methods for getting region id and data purpose id from buffer
  * On Windows, also try to find producers in sub directories of current library
  * Fixed some compiler warnings
  * Improved error message when writing on cport fails
  * Fixed conversion from YCbCr411 format to Mono8 in convertImage() function
  * Improved error message when setting invalid enum
  * Added support for RGB8 color format in getColor() function

 -- Felix Ruess <felix.ruess@roboception.de>  Fri, 16 Jul 2021 22:00:00 -0000

ros-noetic-rc-genicam-api (2.5.2-1buster) buster; urgency=high

  * Added possibility for configuration of multiple Gev interfaces in gc_config
  * Fixed printing of Mac address in gc_info
  * Added method to stream object for checking the number of buffers available for grabbing
  * Treating missing parameters in Buffer as 0
  * Changed way how to define different path for locating producers
  * Added possibility to discover producers in non-default locations and ignoring a specific producer
  * Added possibility to store xml file with gc_info with original name

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 05 Jul 2021 22:00:00 -0000

ros-noetic-rc-genicam-api (2.5.1-1buster) buster; urgency=high

  * Fixed compile problems under Windows
  * Fixed using wrong pointer in method Stream::getTLType()
  * Readme: Add link to release page
  * Removing redundent specification of namespace in some source files

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 15 Mar 2021 23:00:00 -0000

ros-noetic-rc-genicam-api (2.5.0-1buster) buster; urgency=high

  * Upgrading GenICam reference implementation to version 3.3
  * Added support for storing images of format RGB8 and BayerXX8
  * Increasing discover timeout from 100 ms to 1 s, which is necessary for some cameras
  * Resetting chunk adapter in gc_stream if user explicitely disables chunk data
  * Added tool gc_file for reading / writing user data from / to a GenICam device
  * Integrated attaching buffers to nodemap into stream and buffer classes
  * Added support for handling payload type chunk data for supporting Basler ace cameras
  * Updated handling of PTP in gc_config tool using the new feature names
  * Correct exception message if png can't be stored
  * Rename adaptive_out1_reduction to out1_reduction in stored parameter file

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 25 Feb 2021 23:00:00 -0000

ros-noetic-rc-genicam-api (2.4.4-1buster) buster; urgency=high

  * Trying to fix problem that interface handle becomes invalid

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 22 Oct 2020 22:00:00 -0000

ros-noetic-rc-genicam-api (2.4.3-1buster) buster; urgency=high

  * Improved reporting of exceptions

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 21 Oct 2020 22:00:00 -0000

ros-noetic-rc-genicam-api (2.4.2-1buster) buster; urgency=high

  * Added some optional Roboception specific information to the parameter files
  * Fixed crashing of gc_info if getting nodemap from device fails
  * Fixed getEnum crash if enum doesn't contain a value

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 21 Oct 2020 22:00:00 -0000

ros-noetic-rc-genicam-api (2.4.1-1buster) buster; urgency=high

  * Enabled building for ROS focal on gitlab

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 30 Jul 2020 22:00:00 -0000

ros-noetic-rc-genicam-api (2.4.0-1buster) buster; urgency=high

  * gc_stream now puts status of GPIO out and in lines in two separate bit fields in file name

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 26 Jul 2020 22:00:00 -0000

ros-noetic-rc-genicam-api (2.3.7-1buster) buster; urgency=high



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

# Solve shlibdeps errors in REP136 packages that use GNUInstallDirs:
export DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rc-genicam-api//opt/ros/noetic/lib/:$(CURDIR)/debian/ros-noetic-rc-genicam-api//opt/ros/noetic/lib/${DEB_HOST_MULTIARCH}

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-rc-genicam-api 2.6.1

=== baumer/CMakeLists.txt ===

if (UNIX)
  # try to get architecture from compiler
  EXECUTE_PROCESS(COMMAND ${CMAKE_CXX_COMPILER} -dumpmachine COMMAND tr -d '\n' OUTPUT_VARIABLE CXX_MACHINE)
  string(REGEX REPLACE "([a-zA-Z_0-9]+).*" "\\1" ARCHITECTURE ${CXX_MACHINE})
elseif (WIN32)
  if ("${CMAKE_SIZEOF_VOID_P}" STREQUAL "4")
    set(ARCHITECTURE WIN32_i86)
  else ()
    set(ARCHITECTURE WIN64_x64)
  endif ()
endif ()

message(STATUS "Detected architecture ${ARCHITECTURE}")

install(DIRECTORY DESTINATION ${CMAKE_INSTALL_LIBDIR}/rc_genicam_api
        DIRECTORY_PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ GROUP_EXECUTE GROUP_READ WORLD_EXECUTE WORLD_READ)

if ("${ARCHITECTURE}" STREQUAL "arm")
  install(
    FILES
      Ubuntu-14.04/armv7l/libbgapi2_gige.cti
      Ubuntu-14.04/armv7l/libbgapi2_usb.cti
      bsysgige.xml
      bsysusb.xml
      license.txt
    COMPONENT bin
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/rc_genicam_api
  )
elseif ("${ARCHITECTURE}" STREQUAL "aarch64")
  install(
    FILES
      Ubuntu-16.04/arm64/libbgapi2_gige.cti
      Ubuntu-16.04/arm64/libbgapi2_usb.cti
      bsysgige.xml
      bsysusb.xml
      license.txt
    COMPONENT bin
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/rc_genicam_api
  )
elseif ("${ARCHITECTURE}" STREQUAL "x86_64")
  install(
    FILES
      Ubuntu-16.04/x86_64/libbgapi2_gige.cti
      Ubuntu-16.04/x86_64/libbgapi2_usb.cti
      bsysgige.xml
      bsysusb.xml
      license.txt
    COMPONENT bin
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/rc_genicam_api
  )
elseif ("${ARCHITECTURE}" STREQUAL "i686")
  install(
    FILES
      Ubuntu-16.04/i686/libbgapi2_gige.cti
      Ubuntu-16.04/i686/libbgapi2_usb.cti
      bsysgige.xml
      bsysusb.xml
      license.txt
    COMPONENT bin
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/rc_genicam_api
  )
elseif ("${ARCHITECTURE}" STREQUAL "WIN32_i86")
  install(
    FILES
      Win32_i86/bgapi2_gige.cti
      Win32_i86/bgapi2_usb.cti
      bsysgige.xml
      bsysusb.xml
      license.txt
    COMPONENT bin
    DESTINATION ${CMAKE_INSTALL_BINDIR}
  )
elseif ("${ARCHITECTURE}" STREQUAL "WIN64_x64")
  install(
    FILES
      Win64_x64/bgapi2_gige.cti
      Win64_x64/bgapi2_usb.cti
      bsysgige.xml
      bsysusb.xml
      license.txt
    COMPONENT bin
    DESTINATION ${CMAKE_INSTALL_BINDIR}
  )
else ()
  message(FATAL_ERROR "Unknown architecture")
endif ()

=== genicam/CMakeLists.txt ===
project(genicam CXX)

if (UNIX)
  # try to get architecture from compiler
  EXECUTE_PROCESS(COMMAND ${CMAKE_CXX_COMPILER} -dumpmachine COMMAND tr -d '\n' OUTPUT_VARIABLE CXX_MACHINE)
  string(REGEX REPLACE "([a-zA-Z_0-9]+).*" "\\1" ARCHITECTURE ${CXX_MACHINE})
elseif (WIN32)
  if ("${CMAKE_SIZEOF_VOID_P}" STREQUAL "4")
    set(ARCHITECTURE WIN32_i86)
  else ()
    set(ARCHITECTURE WIN64_x64)
  endif ()
endif ()

message(STATUS "Detected architecture ${ARCHITECTURE}")

set(GENICAM_LIB_SUFFIX)

if ("${ARCHITECTURE}" STREQUAL "arm")
  set(GENICAM_LIBRARIES
    libGCBase_gcc494_v3_4
    libGenApi_gcc494_v3_4
    liblog4cpp_gcc494_v3_4
    libLog_gcc494_v3_4
    libMathParser_gcc494_v3_4
    libNodeMapData_gcc494_v3_4
    libXmlParser_gcc494_v3_4
  )
  set(GENICAM_LIBRARIES_DIR ${CMAKE_CURRENT_SOURCE_DIR}/bin/Linux32_ARMhf)
  set(GENICAM_LIB_SUFFIX ".so")
elseif ("${ARCHITECTURE}" STREQUAL "aarch64")
  set(GENICAM_LIBRARIES
    libGCBase_gcc49_v3_4
    libGenApi_gcc49_v3_4
    liblog4cpp_gcc49_v3_4
    libLog_gcc49_v3_4
    libMathParser_gcc49_v3_4
    libNodeMapData_gcc49_v3_4
    libXmlParser_gcc49_v3_4
  )
  set(GENICAM_LIBRARIES_DIR ${CMAKE_CURRENT_SOURCE_DIR}/bin/Linux64_ARM)
  set(GENICAM_LIB_SUFFIX ".so")
elseif ("${ARCHITECTURE}" STREQUAL "i686")
  set(GENICAM_LIBRARIES
    libGCBase_gcc48_v3_4
    libGenApi_gcc48_v3_4
    liblog4cpp_gcc48_v3_4
    libLog_gcc48_v3_4
    libMathParser_gcc48_v3_4
    libNodeMapData_gcc48_v3_4
    libXmlParser_gcc48_v3_4
  )
  set(GENICAM_LIBRARIES_DIR ${CMAKE_CURRENT_SOURCE_DIR}/bin/Linux32_i86)
  set(GENICAM_LIB_SUFFIX ".so")
elseif ("${ARCHITECTURE}" STREQUAL "x86_64")
  set(GENICAM_LIBRARIES
    libGCBase_gcc48_v3_4
    libGenApi_gcc48_v3_4
    liblog4cpp_gcc48_v3_4
    libLog_gcc48_v3_4
    libMathParser_gcc48_v3_4
    libNodeMapData_gcc48_v3_4
    libXmlParser_gcc48_v3_4
  )
  set(GENICAM_LIBRARIES_DIR ${CMAKE_CURRENT_SOURCE_DIR}/bin/Linux64_x64)
  set(GENICAM_LIB_SUFFIX ".so")
elseif ("${ARCHITECTURE}" STREQUAL "WIN32_i86")
  install(DIRECTORY
    ${CMAKE_CURRENT_SOURCE_DIR}/bin/Win32_i86/
	COMPONENT bin DESTINATION ${CMAKE_INSTALL_BINDIR}
  )
  set(GENICAM_LIBRARIES
    GCBase_MD_VC141_v3_4
    GenApi_MD_VC141_v3_4
  )
  set(GENICAM_LIBRARIES_DIR ${CMAKE_CURRENT_SOURCE_DIR}/library/CPP/lib/Win32_i86)
  set(GENICAM_LIB_SUFFIX ".lib")
elseif ("${ARCHITECTURE}" STREQUAL "WIN64_x64")
  install(DIRECTORY
    ${CMAKE_CURRENT_SOURCE_DIR}/bin/Win64_x64/
	COMPONENT bin DESTINATION ${CMAKE_INSTALL_BINDIR}
  )
  set(GENICAM_LIBRARIES
    GCBase_MD_VC141_v3_4
    GenApi_MD_VC141_v3_4
  )
  set(GENICAM_LIBRARIES_DIR ${CMAKE_CURRENT_SOURCE_DIR}/library/CPP/lib/Win64_x64)
  set(GENICAM_LIB_SUFFIX ".lib")
else ()
  message(FATAL_ERROR "Unknown architecture")
endif ()

set(GENICAM_LIBRARIES_IN_BUILD_DIR)
foreach(GENICAM_LIB ${GENICAM_LIBRARIES})
  set(GENICAM_LIB_FILE "${GENICAM_LIBRARIES_DIR}/${GENICAM_LIB}${GENICAM_LIB_SUFFIX}")
  list(APPEND GENICAM_LIBRARIES_IN_BUILD_DIR "${GENICAM_LIB_FILE}")
endforeach()

install(FILES ${GENICAM_LIBRARIES_IN_BUILD_DIR} COMPONENT bin DESTINATION ${GENICAM_INSTALL_LIBDIRS})
install(DIRECTORY licenses/ COMPONENT bin DESTINATION ${CMAKE_INSTALL_DOCDIR}/GenICam/)

# only install headers if we build and install the shared lib
if (BUILD_SHARED_LIBS)
  install(DIRECTORY library/CPP/include/ COMPONENT dev DESTINATION ${GENICAM_INSTALL_INCLUDEDIRS})
endif ()

=== debian/changelog ===
ros-noetic-rc-genicam-api (2.6.1-1focal) focal; urgency=high

  * Fixed resetting of systems so that setSystemsPath() can be called again
  * Report reason if loading of producer fails
  * Fixed compiling under Windows
  * Fixed reading registers with size that is less than the requested size
  * Added convenience functions for loading and storing data on the camera via GenICam file interface

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 08 Jan 2023 23:00:00 -0000

ros-noetic-rc-genicam-api (2.6.0-1focal) focal; urgency=high

  * Upgraded GenAPI to version 3.4
  * Changed gc_file to read and write in blocks of 512 bytes and made FileSize parameter optional

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 08 Nov 2022 23:00:00 -0000

ros-noetic-rc-genicam-api (2.5.17-1focal) focal; urgency=high

  * Added building for Jammy
  * Added possibility to specify GenICam parameters on the command line of gc_pointcloud tool
  * README: change grep for newer netstat versions

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 12 Oct 2022 22:00:00 -0000

ros-noetic-rc-genicam-api (2.5.16-1focal) focal; urgency=high

  * Added CI build pipelines for ARM64
  * net_perf_check.sh use first default interface
  * Show enum options even if WriteOnly

 -- Felix Ruess <felix.ruess@roboception.de>  Sat, 28 May 2022 22:00:00 -0000

ros-noetic-rc-genicam-api (2.5.14-1focal) focal; urgency=high

  * Install licenses of included binaries
  * Reporting interface id instead of display name in output of gc_info -s

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 01 Feb 2022 23:00:00 -0000

ros-noetic-rc-genicam-api (2.5.13-1focal) focal; urgency=high

  * Added parameter '-s' to gc_info for getting a short list of discovered devices
  * Fixed Windows build script

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 30 Jan 2022 23:00:00 -0000

ros-noetic-rc-genicam-api (2.5.12-1focal) focal; urgency=high

  * Imporved Windows build script for compiling with libpng
  * Fixed some issues when compiling under Windows

 -- Felix Ruess <felix.ruess@roboception.de>  Fri, 22 Oct 2021 22:00:00 -0000

ros-noetic-rc-genicam-api (2.5.11-1focal) focal; urgency=high

  * Fixed getting buffers with chunk data from Basler ace2 USB cameras

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 04 Oct 2021 22:00:00 -0000

ros-noetic-rc-genicam-api (2.5.10-1focal) focal; urgency=high

  * Make system, interface, device and stream ignore closing already closed objects

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 30 Sep 2021 22:00:00 -0000

ros-noetic-rc-genicam-api (2.5.9-1focal) focal; urgency=high

  * Improved measuring of buffers per second in gc_stream
  * Do not show latency in gc_stream -t if PTP is turned off

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 30 Sep 2021 22:00:00 -0000

ros-noetic-rc-genicam-api (2.5.8-1focal) focal; urgency=high

  * Added support for YUV422_8 and YCbCr422_8 pixel formats

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 08 Sep 2021 22:00:00 -0000

ros-noetic-rc-genicam-api (2.5.7-1focal) focal; urgency=high

  * Added possibility to specify the internal number of buffers to allocate
  * gc_file tool: Exit with error if file cannot be loaded

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 31 Aug 2021 22:00:00 -0000

ros-noetic-rc-genicam-api (2.5.6-1focal) focal; urgency=high

  * Changed ImageList::find with tolerance > 0 to return the closest within tolerance

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 01 Aug 2021 22:00:00 -0000

ros-noetic-rc-genicam-api (2.5.5-1focal) focal; urgency=high

  * Fixed rounding when converting between color and monochrome images
  * Reduce minimum number of buffers
  * Do not attach chunk data handler to incomplete buffer

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 27 Jul 2021 22:00:00 -0000

ros-noetic-rc-genicam-api (2.5.4-1focal) focal; urgency=high

  * Fixed reporting of operation status of gc_file tool

 -- Felix Ruess <felix.ruess@roboception.de>  Sat, 24 Jul 2021 22:00:00 -0000

ros-noetic-rc-genicam-api (2.5.3-1focal) focal; urgency=high

  * Added build script for Visual Studio
  * Added methods for getting region id and data purpose id from buffer
  * On Windows, also try to find producers in sub directories of current library
  * Fixed some compiler warnings
  * Improved error message when writing on cport fails
  * Fixed conversion from YCbCr411 format to Mono8 in convertImage() function
  * Improved error message when setting invalid enum
  * Added support for RGB8 color format in getColor() function

 -- Felix Ruess <felix.ruess@roboception.de>  Fri, 16 Jul 2021 22:00:00 -0000

ros-noetic-rc-genicam-api (2.5.2-1focal) focal; urgency=high

  * Added possibility for configuration of multiple Gev interfaces in gc_config
  * Fixed printing of Mac address in gc_info
  * Added method to stream object for checking the number of buffers available for grabbing
  * Treating missing parameters in Buffer as 0
  * Changed way how to define different path for locating producers
  * Added possibility to discover producers in non-default locations and ignoring a specific producer
  * Added possibility to store xml file with gc_info with original name

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 05 Jul 2021 22:00:00 -0000

ros-noetic-rc-genicam-api (2.5.1-1focal) focal; urgency=high

  * Fixed compile problems under Windows
  * Fixed using wrong pointer in method Stream::getTLType()
  * Readme: Add link to release page
  * Removing redundent specification of namespace in some source files

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 15 Mar 2021 23:00:00 -0000

ros-noetic-rc-genicam-api (2.5.0-1focal) focal; urgency=high

  * Upgrading GenICam reference implementation to version 3.3
  * Added support for storing images of format RGB8 and BayerXX8
  * Increasing discover timeout from 100 ms to 1 s, which is necessary for some cameras


=== debian/control ===
Source: ros-noetic-rc-genicam-api
Section: misc
Priority: optional
Maintainer: Felix Ruess <felix.ruess@roboception.de>
Build-Depends: debhelper (>= 9.0.0), cmake, libpng-dev, libusb-1.0-0
Homepage: http://wiki.ros.org/rc_genicam_api
Standards-Version: 3.9.2

Package: ros-noetic-rc-genicam-api
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpng-dev, libusb-1.0-0
Description: GenICam/GigE Vision Convenience Layer.
 This package combines the Roboception convenience layer for images with the GenICam reference implementation and a GigE Vision transport layer. It is a self contained package that permits configuration and image streaming of GenICam / GigE Vision 2.0 compatible cameras like the Roboception rc_visard. This package also provides some tools that can be called from the command line for discovering cameras, changing their configuration and streaming images. Although the tools are meant to be useful when working in a shell or in a script, their main purpose is to serve as example on how to use the API for reading and setting parameters, streaming and synchronizing images. See LICENSE.md for licensing terms of the different parts.

=== debian/rules ===
--- 
+++ 
@@ -17,12 +17,17 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
 
 # Solve shlibdeps errors in REP136 packages that use GNUInstallDirs:
 export DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -31,7 +36,8 @@
 	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
